name: Gitea Build Action
run-name: ${{ gitea.actor }} build
on: [push]

jobs:
  build-nuxt:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4
      - name: Setup Bun
        uses: oven-sh/setup-bun@v2
      - name: Display Bun version
        run: bun --version
      - name: Install dependencies
        run: bun install --frozen-lockfile --ignore-scripts
      - name: Build
        run: bun --bun run build
